# $Revision: 1.22 $, $Date: 1999/11/29 22:51:42 $
Summary:	DHCP Server 
Summary(pl):	Serwer DHCP 
Name:		dhcp
Version:	3.0pl1
Release:	1
Serial:		2
Group:		Networking/Daemons
Group(de):	Sieciowe/Serwery
Copyright:	distributable
Vendor:         ISC
Source0:	ftp://ftp.isc.org/isc/dhcp/%{name}-%{version}.tar.gz
Source1:	dhcp.init
Source2:	dhcp-relay.init
Source3:	dhcp-relay.sysconfig
Source4:	dhcpd.conf.sample
Source5:	dhcp.sysconfig
BuildRequires:	groff
BuildRoot:   	/tmp/%{name}-%{version}-root
Prereq:		/sbin/chkconfig

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network configuration
information (IP address, subnetmask, broadcast address, etc.) from a DHCP
server. The overall purpose of DHCP is to make it easier to administer a
large network. 

You should install dhcp if you want to set up a DHCP server on your network.

%description -l pl
Serwer DHCP (Dynamic Host Configuration Protocol)

%package client
Summary:	DHCP Client
Summary(pl):	Klient DHCP 
Group:		Networking/Daemons
Group(de):	Sieciowe/Serwery

%description client
Dynamic Host Configuration Protocol Client.

%description client -l pl
Klient DHCP (Dynamic Host Configuration Protocol).

%package relay
Summary:	DHCP Relay Agent
Summary(pl):	Agent przekazywania DHCP
Group:		Networking/Daemons
Group(de):	Sieciowe/Serwery

%description relay
Dynamic Host Configuration Protocol Relay Agent.

%description relay -l pl
Agent przekazywania DHCP (Dynamic Host Configuration Protocol).

%prep
%setup -q

cp %{SOURCE4} .

%build
LDFLAGS="-s" ; export LDFLAGS

./configure linux-2.2

make DESTDIR="${RPM_BUILD_ROOT}" COPTS="$RPM_OPT_FLAGS" DEBUG="" \
	VARDB="/var/state/%{name}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/sbin,%{_sbindir},%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT{/var/state/%{name},/etc/{rc.d/init.d,sysconfig}}

make install \
	CLIENTBINDIR=$RPM_BUILD_ROOT/sbin \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	ADMMANDIR=$RPM_BUILD_ROOT%{_mandir}/man8 \
	ADMMANEXT=.8 \
	FFMANDIR=$RPM_BUILD_ROOT%{_mandir}/man5 \
	FFMANEXT=.5

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcp-relay
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/dhcp-relay
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/dhcpd

gzip -9nf $RPM_BUILD_ROOT%{_mandir}/man*/* \
	  doc/* README RELNOTES 

touch $RPM_BUILD_ROOT/var/state/%{name}/{dhcpd,dhclient}.leases

%post
/sbin/chkconfig --add dhcpd
touch /var/state/%{name}/dhcpd.leases

if [ -f /var/run/dhcpd.pid ]; then
	/etc/rc.d/init.d/dhcpd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/dhcpd start\" to start dhcpd daemon."
fi

%post relay
/sbin/chkconfig --add dhcrelay

if [ -f /var/run/dhcrelay.pid ]; then
	/etc/rc.d/init.d/dhcrelay restart >&2
else
	echo "Run \"/etc/rc.d/init.d/dhcrelay start\" to start dhcrelay daemon."
fi

%preun
if [ "$1" = "0" ];then
	/sbin/chkconfig --del dhcpd
	/etc/rc.d/init.d/dhcpd stop >&2
fi

%preun relay
if [ "$1" = "0" ];then
	/sbin/chkconfig --del dhcrelay
	/etc/rc.d/init.d/dhrelay stop >&2
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* README.gz RELNOTES.gz dhcpd.conf.sample
%{_mandir}/man5/dhcp*
%{_mandir}/man8/dhcp*
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/dhcpd
%attr(755,root,root) %{_sbindir}/dhcpd
%attr(754,root,root) /etc/rc.d/init.d/dhcpd
%attr(750,root,root) %dir /var/state/%{name}
%ghost /var/state/%{name}/dhcpd.leases

%files client
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/dhclient
%attr(755,root,root) /sbin/dhclient-script
%{_mandir}/man[58]/dhclient*
%ghost /var/state/%{name}/dhclient.leases

%files relay
%defattr(644,root,root,755)
%{_mandir}/man8/dhcrelay*
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/dhcp-relay
%attr(755,root,root) %{_sbindir}/dhcrelay
%attr(754,root,root) /etc/rc.d/init.d/dhcp-relay

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} Rich West <Rich.West@wesmo.com>
- Updated to the 3.0pl1 security fix release.

* %{date} Rich West <Rich.West@wesmo.com>
- Updated to the final release of 3.0!

* %{date} Rich West <Rich.West@wesmo.com>
- Updated to RC10

* Mon May 28 2001 Rich West <rwest@wesmo.com>
- Updated to RC8.

* Mon May 28 2001 Rich West <rwest@wesmo.com>
- Updated to RC7.

Revision 1.22  1999/11/29 22:51:42  wiget
- updated to 3.0b1pl12

Revision 1.21  1999/11/25 12:19:11  kloczek
- renamed init script and sysconfig file to dhcp-relay.

Revision 1.20  1999/11/25 11:42:43  kloczek
- release 5,
- fix: removed douoble starting dhcpd in start target in ininit dhcpd script,
- gix: include in dhcpd pacage dhcpd sysconfig file (not dhcrelay).

Revision 1.19  1999/09/11 13:35:49  misiek
- fixed requires (PR#31)

Revision 1.18  1999/09/01 16:31:51  wiget
- BuildRequires: groff

Revision 1.17  1999/09/01 15:58:31  wiget
- typo

Revision 1.16  1999/09/01 15:54:22  wiget
- added sysconfig file to dhcpd
- added %%verify to sysconfig files

Revision 1.15  1999/09/01 01:35:14  kloczek
- release 3 (in rawhide is 2),
- added in %doc sample config file,
- new %description (wrom rawhide).

Revision 1.14  1999/09/01 01:26:05  kloczek
- 754 permission on rc script,
- added %config(noreplace for /etc/sysconfig/dhcrelay,
- cosmetics.

Revision 1.13  1999/08/22 21:53:46  waszi
- added dhcrelay.init
- added dhcrelay.sysconfig

Revision 1.12  1999/08/22 20:12:34  waszi
separated to 3 packages

Revision 1.11  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jul 2 1999 Bartosz Waszak <waszi@pld.org.pl>
- initial rpm release
